<template>
  <div>
    <el-card class="box-card" :style="$isPhone?'width: 100%':'width: 600px'" style="width: 600px; margin: 0 auto;">
      <h1>{{ $t('TOS.EDIT_PROFILE') }}</h1>
      <br>

      <div>
        <h3>{{ $t('TOS.ENTER_PWD') }}</h3>
        <el-form :model="input" label-position="left" label-width="100px">
          <el-form-item label="Password " prop="pw">
            <el-input type="password" v-model="input.pw" clearable auto-complete="false"></el-input>
          </el-form-item>
          <el-form-item>
            <el-button type="primary" @click="submitForm()">{{ $t('NOTE.CONFIRM') }}</el-button>
            <el-button @click="resetForm()">{{ $t('BOARD.CONFIRM') }}</el-button>
          </el-form-item>
        </el-form>
      </div>
    </el-card>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  data() {
    return {
      input: {
        pw: '',
      },
    };
  },
  methods: {
    ...mapActions('auth', [
      'returnUserInfo',
      'checkUserPW',
    ]),
    async submitForm() {
      const vm = this;
      try {
        await vm.checkUserPW({
          password: vm.input.pw,
        });
        vm.$router.push({
          name: 'ProfileEdit',
        });
      } catch (error) {
        vm.$notify({
          title: 'Error',
          message: vm.$t('NOTIFY.INCORR_PSWRD'),
          type: 'error',
          duration: 0,
        });
        vm.input.pw = '';
      }
    },
    resetForm() {
      const vm = this;
      vm.$router.push({
        name: 'LandingPage',
      });
    },
  },
};
</script>